import { defHttp } from '/@/utils/http/axios';
import {
  pageParams,
  EventLogPageVo,
  EventLogVo,
} from '/@/api/burialPoint/eventLog/model/eventLogModel';

enum Api {
  QueryPage2 = '/eventLog/queryPage2',
  QueryOne = '/eventLog/queryOne',
  Delete = '/eventLog/delete',
}

/**
 * 分页查询
 */
export function queryPageEventLog(params: pageParams) {
  return defHttp.get<EventLogPageVo>({
    url: Api.QueryPage2,
    params,
  });
}

/**
 * 通过主键查询单条数据
 */
export function queryEventLogOne(params: string) {
  return defHttp.get<EventLogVo>({
    url: Api.QueryOne + '?id=' + params,
  });
}

/**
 * 删除数据
 */
export function eventLogDelete(params: string) {
  return defHttp.get<EventLogVo>({
    url: Api.Delete + '?id=' + params,
  });
}
